Author Topic: [Solved] Copy Block issue  (Read 2511 times)

0 Members and 1 Guest are viewing this topic.

CloudJack

  • Mosquito
  • Posts: 2
[Solved] Copy Block issue
« on: May 02, 2017, 05:50:59 AM »
I have 2 drawings A & B.
Both drawing created a block named as "ABC".

After that, I add an attribute into block "ABC" at drawing A.

I type an attribute value "100" in drawing A.

Then copy that block to drawing B.

Drawing B show "ABC" with attribute value "100".

But I cannot delete the attribute and tag in Drawing B.

I used Block Editor show nothing on tag.

How can I delete the "100"?


« Last Edit: May 03, 2017, 08:59:44 PM by CloudJack »

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Copy Block issue
« Reply #1 on: May 02, 2017, 09:28:59 AM »
Drawing B block info below:
It appears as though the INSERT still has the insert but AttSync will not run because the Parent BLOCK has no Attributes

Code: [Select]
===============================================
                 BlockInfo.lsp
               Charles Alan Butler
            ab2draft@TampaBay.rr.com
               06/19/2009 Ver 2.4
===============================================
     <<  File Date 05/02/2017@09:25 >>
| ---------    Insert entlist   -----------------
| ((-1 . <Entity name: 833cf500>) (0 . "INSERT") (5 . "1DF") (330 . <Entity name: 833cda00>) (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (100 . "AcDbBlockReference") (66 . 1) (2 . "ABC") (10 34.6779867137081 5.94283072820843 0.0) (41 . 1.0) (42 . 1.0) (43 . 1.0) (50 . 0.0) (70 . 0) (71 . 0) (44 . 0.0) (45 . 0.0) (210 0.0 0.0 1.0))
| ((-1 . <Entity name: 833cf5c0>) (0 . "ATTRIB") (5 . "1E0") (330 . <Entity name: 833cf500>) (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (100 . "AcDbText") (10 36.1842839639637 1.60260964253331 0.0) (40 . 3.89795177312514) (1 . "100") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 . "Standard") (71 . 0) (72 . 0) (11 0.0 0.0 0.0) (210 0.0 0.0 1.0) (100 . "AcDbAttribute") (2 . "100") (70 . 0) (73 . 0) (74 . 0) (280 . 0))
| ((-1 . <Entity name: 833cf380>) (0 . "SEQEND") (5 . "1E1") (330 . <Entity name: 833cf500>) (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (-2 . <Entity name: 833cf500>))
| ***********************************************
|          Parent Block : ABC
| ***********************************************
| ---------    Block entlist   ------------------
| ((-1 . <Entity name: 833cf940>) (0 . "BLOCK") (5 . "1BE") (330 . <Entity name: 833cea80>) (100 . "AcDbEntity") (67 . 0) (8 . "0") (100 . "AcDbBlockBegin") (2 . "ABC") (70 . 0) (-2 . <Entity name: 833cf480>) (71 . 0) (10 0.0 0.0 0.0) (3 . "ABC") (1 . "") (4 . ""))
| ---------    Objects In Block  ----------------
| ((-1 . <Entity name: 833cf480>) (0 . "LWPOLYLINE") (5 . "1BF") (330 . <Entity name: 833cea80>) (100 . "AcDbEntity") (67 . 0) (8 . "0") (100 . "AcDbPolyline") (90 . 4) (70 . 1) (43 . 0.0) (38 . 0.0) (39 . 0.0) (10 0.0 3.89795177312514) (40 . 0.0) (41 . 0.0) (42 . 0.0) (91 . 0) (10 13.2469698573345 3.89795177312514) (40 . 0.0) (41 . 0.0) (42 . 0.0) (91 . 0) (10 13.2469698573345 0.0) (40 . 0.0) (41 . 0.0) (42 . 0.0) (91 . 0) (10 0.0 0.0) (40 . 0.0) (41 . 0.0) (42 . 0.0) (91 . 0) (210 0.0 0.0 1.0))
| ((-1 . <Entity name: 833cf980>) (0 . "TEXT") (5 . "1C0") (330 . <Entity name: 833cea80>) (100 . "AcDbEntity") (67 . 0) (8 . "0") (100 . "AcDbText") (10 2.45314244563995 0.514823797483672 0.0) (40 . 3.0) (1 . "ABC") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 . "Standard") (71 . 0) (72 . 0) (11 0.0 0.0 0.0) (210 0.0 0.0 1.0) (100 . "AcDbText") (73 . 0))
| *********** END OF PARENT BLOCK *************
===============================================
=             End of Routine                  =
===============================================
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Copy Block issue
« Reply #2 on: May 02, 2017, 09:32:31 AM »
One fix is to delete the INSERT & re-insert the block from within the drawing.

I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

Lee Mac

  • Seagull
  • Posts: 12906
  • London, England
Re: Copy Block issue
« Reply #3 on: May 02, 2017, 12:31:38 PM »
The code I posted here should fix block ABC in Drawing B.

CloudJack

  • Mosquito
  • Posts: 2
Re: Copy Block issue
« Reply #4 on: May 03, 2017, 08:57:50 PM »
One fix is to delete the INSERT & re-insert the block from within the drawing.
However, I need to do this many times when multiple block in drawings.

The code I posted here should fix block ABC in Drawing B.
Thank you! It's great.